winstd::setup_driver_info_list_builder Class Reference
Setup API

Builds a list of drivers in constructor and deletes it in destructor. More...

`#include <WinStd/SetupAPI.h>`

## Public Member Functions

| setup_driver_info_list_builder (HDEVINFO DeviceInfoSet, PSP_DEVINFO_DATA DeviceInfoData, DWORD DriverType) noexcept
| Construct the builder and builds a list of drivers that is associated with a specific device or with the global class driver list for a device information set. More...
virtual | ~setup_driver_info_list_builder ()
| Deletes a driver list and destructs the builder. More...
BOOL | status () const noexcept
| Return result of `SetupDiBuildDriverInfoList()` call. More...

## Detailed Description

Builds a list of drivers in constructor and deletes it in destructor.

## Constructor & Destructor Documentation

## setup_driver_info_list_builder()

winstd::setup_driver_info_list_builder::setup_driver_info_list_builder | ( | HDEVINFO | DeviceInfoSet,
|  | PSP_DEVINFO_DATA | DeviceInfoData,
|  | DWORD | DriverType
| ) |  |

inlinenoexcept

Construct the builder and builds a list of drivers that is associated with a specific device or with the global class driver list for a device information set.

See also
  SetupDiBuildDriverInfoList function

## ~setup_driver_info_list_builder()

virtual winstd::setup_driver_info_list_builder::~setup_driver_info_list_builder | ( |  | ) |

inlinevirtual

Deletes a driver list and destructs the builder.

See also
  SetupDiDestroyDriverInfoList function

## Member Function Documentation

## status()

BOOL winstd::setup_driver_info_list_builder::status | ( |  | ) | const

inlinenoexcept

Return result of `SetupDiBuildDriverInfoList()` call.

See also
  SetupDiBuildDriverInfoList function

The documentation for this class was generated from the following file:

- include/WinStd/SetupAPI.h